﻿* {
    box-sizing: border-box;
}

body {
    background-image: url(../images/background3.jpg);
    color: #000000;
    font-family: Arial,sans-serif;  
    background-repeat: no-repeat;
    background-size:cover;
}

#wrapper {
    background-color: #B3C7E6;
    color: #000066;
    width: 80%;
    margin: auto;
}

nav {
    font-weight: bold;
    font-size: 130%;
    word-spacing: 1em;
    border-bottom: 4px double #00ffff;
    text-align: center;
    padding-bottom:2em;
    
}

p {
    
    font-size: 0.95em;
    text-indent: 3em;
  
 
}

nav a {
    text-decoration: none;
}

    nav a:link {
        color: #191970;
    }

    nav a:visited {
        color: black;
    }

    nav a:hover {
        color: purple;
        padding: 8px 30px;
        border: 1px solid #00ffff;
    }

main {
    display: block;
    margin-left: 155px;
    padding: 20px;
    background-color: paleturquoise;
    color: #000000;
}

header {
 
    font-size: 150%;

}
h1 {
    background-color: paleturquoise;
    color: black;
    font-family: Georgia, "Times New Roman", serif;
    line-height: 150%;
    text-indent: 1em;
    text-shadow: 3px 3px 5px #869dc7;
    padding: 1em;
    text-align: center;
   
}

#logo {
    margin: 10px;
    float: left;
    background-color: none;
    padding: 5px;
    border: 1px solid #cccccc;
    box-shadow: 2px 2px 2px #828282;
}

h2 {
    background-color: paleturquoise;
    color: black;
    border-bottom: 4px double #191970;
    text-align: center;
    font-family: Arial,sans-serif;
    font-size:120%;

}

footer {
    font-size: 95%;
    text-align: center;
    clear: both;
    padding: 20px;
    background-color: #869DC7;
}

#floatright {
    margin: 10px;
    float: right;
    background-color: #FFFFFF;
    padding: 5px;
    border: 1px solid #cccccc;
    box-shadow: 5px 5px 5px #828282;
    transform: rotate(2deg);
    width: auto;
    max-height: auto;
}
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    grid-gap:30px;
}
.gallery img{
    width: 100%;
}

#gallery {
    margin: 10px;  
    background-color: #FFFFFF;
    padding: 5px;
    border: 1px solid purple;
    box-shadow: 5px 5px 5px #869DC7;
    transform: rotateY('angle');
    
}
ul {
    list-style-type: none;
    
}

#company {
    font-weight: bold;
    font-family: Gergia,"Times New Roman",serif;
    font-size: 1.25em;
}

table {
    margin: auto;
    border: 5px solid #000066;
    border-collapse: collapse;
}

td, th {
    padding: 0.5em;
    border-style: none;
    font-family: Arial,sans-serif;
}


tr:nth-of-type(even) {
    background-color: #B3C7E6;
}

tr:first-of-type {
    background-color: #869dc7;
    color: black;
}

form {
    font-family: Arial,sans-serif;
    padding: 10px;
}

label {
    float: left;
    width: 100px;
    clear: left;
    text-align: right;
    padding-right: 20px;
    margin-bottom: 20px;
}

input, textarea {
    margin-top: 10px;
    display: block;
}

#mySubmit, #myReset {
    margin-left: 100px;
}

@media only screen and (max-width: 1024px) {
    body {
        margin: 0px;
    }

    #wrapper {
        width: auto;
    }

    main {
        margin-left: 0px;
    }

    nav {
        float: none;
        width: auto;
    }

        nav li {
            display: inline-block;
            padding: 0.5em;
        }

        nav ul {
            text-align: center;
        }

        nav a {
            border-style: none;
        }

    h1, h2 {
        font-size: 120%;
    }

    p {
        font-size: 90%;
    }
}

@media only screen and (max-width: 768px) {
    h1, h2 {
        font-size: 100%;
    }

    p {
        font-size: 80%;
    }

    nav, nav ul, nav li {
        padding: 0px;
    }

        nav li {
            display: block;
        }

        nav a {
            display: block;
            padding: 0.5em 0;
            border-bottom: 2px ridge #00005D;
        }

    #floatright {
        display: none;
    }
}
